package com.yonge.cooleshow.biz.dal.enums;

import com.yonge.toolset.base.enums.BaseEnum;

//工作性质（兼职、全职）
public enum JobNatureEnum implements BaseEnum<String, JobNatureEnum> {
    PART_TIME("兼职"),
    FULL_TIME("全职"),
    LABOUR("劳务");

    private String code;

    private String msg;

    JobNatureEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
